@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: #243e63;
    font-family: "inter", sans-serif;
}

section {
    overflow-x: hidden;
}

a {
    display: inline;
    text-decoration: none;
}

button {
    cursor: pointer;
}

.btn {
    border: none;
    background-color: #6415ff;
    color: #fff;
    padding: 12px 32px;
    border-radius: 500px;
    font-weight: bold;
    font-size: 14px;
    transition: background-color 300ms ease;
}

.btn:hover {
    background-color: rgba(80, 17, 204);
}

h1 {
    color: #1a202c;
    font-size: 48px;
    line-height: 1.25;
    letter-spacing: 1.6px;
}

p {
    font-size: 18px;
    line-height: 1.5;
}

img {
    width: 100%;
}

.row {
    width: 100%;
    max-width: 1280px;
    margin: 0 auto;
}

.row__narrow {
    width: 100%;
    max-width: 1024px;
    margin: 0 auto;
}

section {
    padding: 0 32px;
}

.section__tag {
    color: #6415ff;
    letter-spacing: 1.6px;
    font-weight: 700;
}

.section__title {
    font-size: 48px;
    font-weight: 900;
    letter-spacing: 2px;
    margin: 16px 0;
    line-height: 1.5;
}

.section__para {
    font-size: 18px;
    font-weight: 500;
    color: #7c8ba1;
    line-height: 1.625;
}

.container {
    padding: 96px 0;
}

.purple {
    color: #6415ff;
}

/* 

NAVIGATION BAR

*/

nav {
    padding-top: 32px;
    display: flex;
}

.nav__row {
    display: flex;
    justify-content: space-between;
}

.nav__logo {
    display: flex;
    align-items: center;
    margin: 8px 0;
    padding-bottom: 4px;
}

.nav__logo--img {
    height: 40px;
    width: 40px;
}

.nav__logo--title {
    font-weight: 900;
    font-size: 24px;
    margin-left: 12px;
    padding-bottom: 2px;
    letter-spacing: .6px;
}

.nav__links {
    display: flex;
    align-items: center;
    padding-bottom: 2px;
}

.nav__link {
    font-size: 14px;
    font-weight: 600;
    padding-top: 4px;
    letter-spacing: .35px;
    margin: 0 24px;
    position: relative;
}

.nav__link:not(:last-child)::after {
    content: "";
    position: absolute;
    left: 0px;
    bottom: -6px;
    height: 2px;
    width: 100%;
    background: #6415ff;
    opacity: 0;
    transition: all 300ms ease;
}

.nav__link:hover::after {
    opacity: 1;
}

.login {
    margin-left: 48px;
}

.nav__link--primary {
    margin: 0;
    padding: 10px 32px;
    margin-top: 2px;
    border-radius: 9999px;
    color: #fff;
    background-color: #6415ff;
    line-height: 1.5;
    transition: all 300ms ease;
}

.nav__link--primary:hover {
    background-color: rgba(80, 17, 204);
}

.nav__row {
    position: relative;
}

.btn__menu {
    position: absolute;
    top: 20px;
    right: 20px;
    border: none;
    background: none;
    font-size: 20px;
    color: #243e63;
    display: none;
}

.btn__menu:hover i{
    color: #6415ff;
}

.menu__card {
    position: absolute;
    display: flex;
    justify-content: center;
    width: 100%;
    background-color: #fff;
    border: 2px solid #e4ebf2;
    border-radius: 8px;
    padding: 48px;
    z-index: 3;
    transition: all 300ms ease;
    visibility: hidden;
    transform: translateX(1000px);
}

.menu--open .menu__card {
    visibility: visible;
    transform: translateX(0);
}

.menu__link {
    margin: 0;
    font-size: 18px;
    margin-bottom: 24px;
    font-weight: 600;
}

.menu__links {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

/* 

HEADER

*/

header .row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header__description {
    width: 40%;
}

.header__img--wrapper {
    width: 60%;
}

.header__description--para {
    margin: 32px 0;
    letter-spacing: .2px;
}

.header__email {
    width: 100%;
    max-width: 448px;
    height: 68px;
    position: relative;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.header__email--input {
    width: 100%;
    height: 100%;
    border-radius: 500px;
    padding: 20px 192px 20px 32px;
    border: 2px solid rgb(229, 231, 235);
    font-size: 16px;
    font-weight: 500;
    position: absolute;
    z-index: 1;
    transition: border-color 300ms;
}

.header__email--input:hover {
    border-color: rgba(160, 174, 192);
}

.header__email--input::placeholder {
    font-weight: 500px;
    color: rgb(158, 170, 189);
}

.header__email--btn {
    z-index: 2;
    margin: 8px;
    height: calc(100% - 16px);
    width: 160px;
    border-radius: 500px;
    border: none;
    background-color: #6415ff;
    color: #fff;
    font-weight: 700;
    font-size: 16px;
    transition: all 300ms ease;
}

.header__email--btn:hover {
    background-color: rgba(80, 17, 204);
}

.header__customers--title {
    margin-top: 80px;
    color: #a0aec0;
    font-size: 12px;
    font-weight: 700;
}

.header__customers {
    margin-top: 16px;
    padding-right: 128px;
    opacity: 0.5;
}

/* 

FEATURES

*/

#features .row__narrow {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#features .section__para {
    text-align: center;
    max-width: 576px;
}

.features {
    width: 100%;
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}

.feature {
    width: calc(100% / 3);
    display: flex;
    align-items: flex-start;
    padding: 32px 24px;
}

.feature__img--wrapper {
    padding: 20px;
    border: 2px solid #e4ebf2;
    border-radius: 50%;
}

.feature__img {
    width: 24px;
    height: 24px;
}

.feature__text {
    margin-top: 8px;
    margin-left: 16px;
}

.feature__title {
    font-size: 24px;
}

.feature__para {
    margin-top: 16px;
    font-size: 16px;
    color: rgb(124, 139, 161);
    line-height: 2;
    max-width: 200px;
    font-weight: 500;
}

/* 

QUALITY

*/

#quality .row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#quality .btn {
    margin-top: 32px;
}

.quality__description .quality__img--wrapper {
    width: 50%;
}

.quality__description {
    max-width: 540px;
    margin-right: 64px;
}

#quality .section__title {
    line-height: 1.25;
}

.quality__img--wrapper {
    margin: 0 56px;
    border-radius: 4px;
    border: 2px solid rgb(229, 231, 235);
    position: relative;
    z-index: 2;
    display: flex;
}

.quality__img {
    z-index: 1;
}

.quality__grid {
    transform: translateX(50%) translateY(50%) scaleX(1) scaleY(1);
    width: 80px;
    height: 80px;
    position: absolute;
    right: 0px;
    bottom: 0px;
    fill: rgb(100, 21, 255);
    --tw-text-opacity: 1;
    color: rgba(100, 21, 255, var(--tw-text-opacity));
    z-index: 0;
    display: block;
}

/* 

STEPS

*/

#steps .row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.steps__img--wrapper {
    width: 50%;
    position: relative;
    display: flex;
}

.steps__grid {
    position: absolute;
    bottom: -100px;
    left: 50%;
    transform: translateX(-50%);
    width: 10rem;
    height: 10rem;
    opacity: 0.8;
    z-index: -10;
    color: rgb(100, 21, 255);
    fill: currentColor;
}

.steps__description {
    width: 50%;
    padding: 32px 0;
    padding-left: 64px;
}

.step {
    display: flex;
    align-items: flex-start;
    margin-top: 32px;
}

.step__number {
    margin-right: 24px;
    font-size: 36px;
    font-weight: 600;
    line-height: 1;
    color: #cbd5e0;
}

.step__description {
    display: flex;
    flex-direction: column;
    max-width: 320px;
}

.step__title {
    font-size: 20px;
    font-weight: 600;
    color: #243e63;
    line-height: 1;
}

.step__para {
    font-size: 14px;
    margin-top: 12px;
    color: #718096;
    font-weight: 500;
    line-height: 2;
}

/* 

VALUES

*/

#values .row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.values__description {
    width: 50%;
    padding: 32px 64px 32px 0;
}

.values__img {
    width: 50%;
}

.values__list {
    display: flex;
}

.value {
    display: flex;
    align-items: flex-start;
    flex-direction: column;
    margin-top: 32px;
    margin-right: 32px;
}

.value__title {
    display: flex;
    align-items: center;
}

.value:nth-child(1) .value__img--wrapper {
    background-color: #9ae6b4;
}

.value:nth-child(2) .value__img--wrapper {
    background-color: #feb2b2;
}

.value__img--wrapper {
    border-radius: 50%;
    width: 36px;
    height: 36px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.value__img {
    width: 20px;
    opacity: .5;
}

.value__name {
    font-size: 20px;
    font-weight: 700;
    margin-left: 12px;
}

.value__para {
    font-size: 16px;
    margin-top: 24px;
    line-height: 1.6;
    color: #718096;
}

#values .btn {
    margin-top: 48px;
}

/* 

PRICING

*/

#pricing .row {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#pricing .section__para {
    text-align: center;
    max-width: 576px;
}

.plans {
    display: flex;
    justify-content: center;
    width: 100%;
}

.plan {
    width: 100%;
    max-width: 384px;
    text-align: center;
    position: relative;
    margin-top: 64px;
    box-shadow: 0px 1px 3px 0px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
}

.plan__stripe {
    position: absolute;
    height: 8px;
    width: 100%;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

.plan__top {
    padding: 38px;
    line-height: 1.6;
}

.plan__name {
    font-size: 20px;
    font-weight: bold;
}

.plan__price {
    font-size: 48px;
    font-weight: bold;
    margin: 4px 0;
}

.plan__duration {
    font-weight: bold;
    opacity: .4;
    letter-spacing: 1.5px;
}

.plan__middle {
    border-top: 2px solid rgb(229, 231, 235);
    border-bottom: 2px solid rgb(229, 231, 235);
    padding: 32px;
    line-height: 1.5;
}

.plan__target {
    font-size: 20px;
    font-weight: bold;
}

.plan__feature {
    font-weight: 500;
    color: #718096;
    font-size: 16px;
    margin-top: 20px;
}

.plan__bottom {
    padding: 32px 96px;
}

.plan__button {
    padding: 16px 0;
    width: 100%;
    border: none;
    border-radius: 500px;
    color: white;
    font-weight: 700;
    letter-spacing: 1.5px;
    transition: all 300ms ease;
}

.plan__button:hover {
    transform: translateY(-2px);
    box-shadow: 0 10px 20px 2px rgb(0, 0, 0, 0.1);
}

.plan:nth-child(1) .plan__stripe, .plan:nth-child(1) .plan__button {
    background: linear-gradient(90deg, rgb(56, 178, 172), rgb(129, 230, 217));
}

.plan:nth-child(2) .plan__name, .plan:nth-child(2) .plan__price, .plan:nth-child(2) .plan__duration, .plan:nth-child(2) .plan__target, .plan:nth-child(2) .plan__feature {
    color: white;
    opacity: 1;
}

.plan:nth-child(2) .plan__button {
    color: #6415ff;
}

.plan:nth-child(2) {
    background: linear-gradient(135deg, rgb(76, 81, 191), rgb(102, 126, 234));
    margin-left: 48px;
    margin-right: 48px;
}

.plan:nth-child(2) .plan__middle {
    border-top: 2px solid rgb(102, 126, 234);
    border-bottom: 2px solid rgb(102, 126, 234);
}

.plan:nth-child(3) .plan__stripe, .plan:nth-child(3) .plan__button {
    background: linear-gradient(90deg, rgb(245, 101, 101), rgb(254, 178, 178));
}

/* 

TESTIMONIALS

*/

#testimonials .row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.testimonials__img {
    width: 50%;
}

.testimonials__description {
    width: 50%;
    display: flex;
    flex-direction: column;
    padding-left: 64px;
}

.testimonial {
    margin-top: 40px;
}

.fa-star {
    color: rgb(246 173 85);
    width: 20px;
    height: 20px;
}

.testimonial__title {
    margin-top: 16px;
    color: #4a5568;
    font-size: 20px;
}

.testimonial__para {
    font-size: 16px;
    font-weight: 500;
    line-height: 1.6;
    margin-top: 16px;
    color: rgb(74 85 104);
    margin-bottom: 32px;
}

.testimonial__bottom {
    display: flex;
    justify-content: space-between;
}

.testimonial__profile {
    display: flex;
    align-items: center;
}

.testimonial__img {
    width: 80px;
    border-radius: 500px;
}

.testimonial__details {
    margin-left: 16px;
}

.testimonial__name {
    font-weight: bold;
    font-size: 20px;
    line-height: 1.6;
    color: #4a5568;
}

.testimonial__role {
    color: #7c8ba1;
    font-weight: 500;
    line-height: 1.5;
}

.testimonial__buttons {
    display: flex;
    align-items: center;
    width: 112px;
    justify-content: space-between;
}

.testimonial__button {
    border: none;
    font-size: 16px;
    border-radius: 500px;
    padding: 12px;
    transition: all 300ms ease;
}

.testimonial__button:hover {
    background-color: rgb(229, 231, 235);
}

.fa-arrow-left, .fa-arrow-right {
    color: #6415ff;
}

/* 

START

*/

.start__card {
    background-color: rgb(100, 21, 255);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 96px 0;
    width: 100%;
    border-radius: 8px;
}

.start__row {
    width: 100%;
    max-width: 1024px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 32px;
}

.start__title {
    color: #f7fafc;
    font-size: 28px;
    font-weight: 700;
    line-height: 1.5;
    letter-spacing: 1px;
    width: 50%;
}

.start__buttons {
    width: 50%;
    display: flex;
    justify-content: flex-end;
}

.start__button {
    padding: 20px 40px;
    font-size: 16px;
    color: #f7fafc;
    line-height: 1.5;
}

.start__button:nth-child(1) {
    background-color: #f56565;
    margin-right: 32px;
}

.start__button:hover:nth-child(1) {
    background-color: rgba(229, 62, 62);
}

.start__button:nth-child(2) {
    border: 1px solid rgb(160, 174, 192);
}

.start__button:hover:nth-child(2) {
    background-color: #f7fafc;
    color: rgba(100, 21, 255);
}

/* 

FOOTER

*/

footer {
    background-color: rgb(100, 21, 255);
    padding: 96px 32px;
    margin-top: 96px;
}

.footer__columns {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    padding-bottom: 64px;
    border-bottom: 3px solid rgb(116, 44, 255);
}

.footer__column {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    width: 20%;
}

.footer__column--title {
    font-weight: bold;
    color: #f7fafc;
    margin-bottom: 24px;
    line-height: 1.5;
}

.footer__column--link {
    color: #f7fafc;
    margin-bottom: 12px;
    font-size: 14px;
    line-height: 1.5;
    position: relative;
}

.footer__column--link::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -6px;
    height: 2px;
    width: 100%;
    background-color: #f7fafc;
    opacity: 0;
    transition: all 300ms ease;
}

.footer__column--link:hover::after {
    opacity: 1;
}

.footer__bottom {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 64px;
}

.footer__logo {
    display: flex;
    align-items: center;
}

.footer__logo--img {
    width: 32px;
}

.footer__logo--text {
    color: #f7fafc;
    font-size: 20px;
    font-weight: 900;
    margin-left: 8px;
    letter-spacing: 1px;
}

.footer__copyright {
    color: #cbd5e0;
    font-weight: 500;
}

.footer__socials {
    display: flex;
    align-items: center;
    margin-left: -16px;
}

.footer__social--link {
    background-color: #f7fafc;
    padding: 8px;
    border-radius: 500px;
    margin-left: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 300ms ease;
}

.footer__social--link:hover {
    background-color: rgba(203, 213, 224);
}

.footer__social--link i {
    height: 16px;
    width: 16px;
    font-size: 14px;
}

/* 

Responsiveness

*/

@media (max-width: 1280px) {
    h1 {
        font-size: 36px;
    }
    .header__description--para {
        font-size: 16px;
    }
    .header__img--wrapper {
        max-width: 512px;
    }

    .testimonials__img {
        width: 40%;
    }
    .testimonials__description {
        width: 60%;
    }
}

@media (max-width: 1028px) {
    header .row {
        flex-direction: column;
    }
    .header__description {
        width: 100%;
        max-width: 520px;
        text-align: center;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    h1 {
        font-size: 28px;
    }
    .header__description--para {
        margin-top: 20px;
        margin-bottom: 20px;
    }
    .header__customers {
        padding-right: 0;
        margin-bottom: 40px;
    }
    .header__customers--title {
        margin-top: 40px;
    }

    .features {
        max-width: 786px;
    }
    .feature {
        width: 45%;
        padding: 32px 8px;
        margin: 0 16px;
    }
    .feature__para {
        max-width: none;
    }

    #quality .section__title, #steps .section__title, #values .section__title, #testimonials .section__title {
        font-size: 36px;
    }

    .section__para {
        font-size: 16px;
    }
    .section__title {
        text-align: center;
    }

    .values__list {
        flex-direction: column;
    }
    .value__para {
        max-width: 300px;
    }

    .plans {
        flex-wrap: wrap;
    }
    .plan {
        margin-left: 64px;
        margin-right: 64px;
    }

    .start__row {
        flex-direction: column;
        text-align: center;
    }
    .start__title {
        width: 100%;
        max-width: 500px;
    }
    .start__buttons {
        justify-content: center;
        margin-top: 20px;
    }

    .nav__links {
        display: none;
    }
    .btn__menu {
        display: block;
    }
}

@media (max-width: 768px) {
    .section__para {
        font-size: 14px;
    }

    .feature {
        width: 100%;
        max-width: 350px;
    }

    #quality .row {
        flex-direction: column-reverse;
    }
    .quality__img--wrapper {
        width: 70%;
        margin-bottom: 64px;
    }
    .quality__description {
        text-align: center;
        margin: 0 auto;
    }

    #steps .row {
        flex-direction: column;
    }
    .steps__img--wrapper {
        width: 70%;
    }
    .steps__grid {
        width: 20%;
    }
    .steps__description {
        text-align: center;
        padding: 0;
        width: 100%;
        margin-top: 64px;
    }
    .step {
        flex-direction: column;
        align-items: center;
    }
    .step__number {
        margin-right: 0;
        margin-bottom: 16px;
    }

    #values .row {
        flex-direction: column-reverse;
    }
    .values__img {
        width: 70%;
        margin-bottom: 32px;
    }
    .values__description {
        text-align: center;
        width: 100%;
        max-width: 450px;
        padding-right: 0;
    }
    .values__list {
        align-items: center;
    }
    .value__title {
        margin: 0 auto;
    }

    #testimonials .row {
        flex-direction: column;
    }
    .testimonials__img {
        width: 70%;
        margin-bottom: 32px;
    }
    .testimonials__description {
        text-align: center;
        padding-left: 0;
        width: 100%;
        max-width: 448px;
    }

    .footer__columns {
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
    }
    .footer__column {
        width: 25%;
        margin-top: 32px;
        align-items: center;
    }
    .footer__bottom {
        flex-direction: column;
    }
    .footer__logo, .footer__copyright {
        margin-bottom: 32px;
    }
}

@media (max-width: 640px) {
    .header__email {
        flex-direction: column;
        height: 100%;
    }
    .header__email--input {
        position: relative;
        height: 60px;
    }
    .header__email--btn {
        height: 60px;
        width: 100%;
    }

    .section__title {
        font-size: 35px;
    }

    .feature {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .feature__text {
        margin-left: 0;
    }
    .feature__para {
        margin-top: 0;
    }

    .quality__img--wrapper, .values__img {
        width: calc(100% - 64px);
    }

    #quality .section__title, #steps .section__title, #values .section__title, #testimonials .section__title {
        font-size: 28px;
    }

    .start__title {
        font-size: 22px;
    }
    .start__buttons {
        flex-direction: column;
        width: 120px;
    }
    .start__button:nth-child(1) {
        margin-right: 0;
        margin-bottom: 16px;
    }
    .start__button {
        padding: 12px;
        font-size: 14px;
    }
}